package com.maintain.business.service;

import com.maintain.business.domain.ErpMaintainCause;
import com.maintain.business.domain.vo.ErpMaintainCauseVo;
import com.maintain.business.domain.bo.ErpMaintainCauseBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修原因Service接口
 *
 * @author liushuai
 * @date 2025-03-28
 */
public interface IErpMaintainCauseService {

    /**
     * 查询维修原因
     */
    ErpMaintainCauseVo queryById(Long id);

    /**
     * 查询维修原因列表
     */
    TableDataInfo<ErpMaintainCauseVo> queryPageList(ErpMaintainCauseBo bo, PageQuery pageQuery);

    /**
     * 查询维修原因列表
     */
    List<ErpMaintainCauseVo> queryList(ErpMaintainCauseBo bo);

    /**
     * 新增维修原因
     */
    Boolean insertByBo(ErpMaintainCauseBo bo);

    /**
     * 修改维修原因
     */
    Boolean updateByBo(ErpMaintainCauseBo bo);

    /**
     * 校验并批量删除维修原因信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
